<?php
/**
 * Bluetooth Speaker functions
 */

if ( ! function_exists( 'bluetooth_speaker_setup' ) ) :
function bluetooth_speaker_setup() {

    load_theme_textdomain( 'bluetooth-speaker', get_template_directory() . '/languages' );

	// Set up the WordPress core custom background feature.
    add_theme_support( 'custom-background', apply_filters( 'bluetooth_speaker_shop_custom_background_args', array(
	    'default-color' => 'ffffff',
	    'default-image' => '',
    ) ) );

	/**
	 * About Theme Function
	 */
	require get_theme_file_path( '/about-theme/about-theme.php' );

	/**
	 * Customizer
	 */
	require get_template_directory() . '/inc/customizer.php';

	/**
	 * TGM
	 */
	require get_template_directory() . '/tgm.php';

}
endif; 
add_action( 'after_setup_theme', 'bluetooth_speaker_setup' );

if ( ! function_exists( 'bluetooth_speaker_styles' ) ) :
	function bluetooth_speaker_styles() {
		// Register theme stylesheet.
		wp_register_style('bluetooth-speaker-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_script('bluetooth-speaker-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		 );

		wp_enqueue_script( 'wow-jquery',
		 get_template_directory_uri() . '/assets/js/wow.js', array('jquery'),'' ,true );

		wp_enqueue_style( 'animate-style',
		 get_template_directory_uri().'/assets/css/animate.css' );

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'bluetooth-speaker-style' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'bluetooth_speaker_styles' );